org.jfree.chart.axis

## Class CompassFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat
    - - org.jfree.chart.axis.CompassFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class CompassFormat
    extends java.text.NumberFormat

A formatter that displays numbers as directions.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.text.NumberFormat

`java.text.NumberFormat.Field`

### Field Summary

Fields
`static java.lang.String[]` `DIRECTIONS` The directions.

### Fields inherited from class java.text.NumberFormat

`FRACTION_FIELD, INTEGER_FIELD`

### Constructor Summary

Constructors
Constructor and Description
`CompassFormat()` Creates a new formatter.

### Method Summary

Methods
`java.lang.StringBuffer` `format(double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)` Formats a number into the specified string buffer.
`java.lang.StringBuffer` `format(long number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)` Formats a number into the specified string buffer.
`java.lang.String` `getDirectionCode(double direction)` Returns a string representing the direction.
`java.lang.Number` `parse(java.lang.String source, java.text.ParsePosition parsePosition)` This method returns `null` for all inputs.

### Methods inherited from class java.text.NumberFormat

`clone, equals, format, format, format, getAvailableLocales, getCurrency, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, getRoundingMode, hashCode, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setCurrency, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setParseIntegerOnly, setRoundingMode`

### Methods inherited from class java.text.Format

`format, formatToCharacterIterator, parseObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DIRECTIONS

    public static final java.lang.String[] DIRECTIONS

The directions.

### Constructor Detail

#### CompassFormat

    public CompassFormat()

Creates a new formatter.

### Method Detail

#### getDirectionCode

    public java.lang.String getDirectionCode(double direction)

Returns a string representing the direction.

Parameters:
  `direction` - the direction.
Returns:
  A string.

#### format

    public java.lang.StringBuffer format(double number,
                                java.lang.StringBuffer toAppendTo,
                                java.text.FieldPosition pos)

Formats a number into the specified string buffer.

Specified by:
  `format` in class `java.text.NumberFormat`
Parameters:
  `number` - the number to format.
  `toAppendTo` - the string buffer.
  `pos` - the field position (ignored here).
Returns:
  The string buffer.

#### format

    public java.lang.StringBuffer format(long number,
                                java.lang.StringBuffer toAppendTo,
                                java.text.FieldPosition pos)

Formats a number into the specified string buffer.

Specified by:
  `format` in class `java.text.NumberFormat`
Parameters:
  `number` - the number to format.
  `toAppendTo` - the string buffer.
  `pos` - the field position (ignored here).
Returns:
  The string buffer.

#### parse

    public java.lang.Number parse(java.lang.String source,
                         java.text.ParsePosition parsePosition)

This method returns `null` for all inputs. This class cannot be used for parsing.

Specified by:
  `parse` in class `java.text.NumberFormat`
Parameters:
  `source` - the source string.
  `parsePosition` - the parse position.
Returns:
  `null`.